//   Demo by Theo Lustenberger    2004
//           Sergey Mishin        2004

unit Main;
interface
uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms,
  QDialogs, QStdCtrls, QExtCtrls, Qt, ScaleEG_FPU_Unit;
type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Open: TButton;
    SaveDialog1: TSaveDialog;
    Image1: TImage;
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    procedure OpenClick(Sender: TObject);
    procedure OpenDialog1FilePreview(Sender: TObject;
      const Filename: string; Canvas: TCanvas; const Rect: TRect;
      Progress: TProgressEvent; var Handled: Boolean);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
var
  Form1: TForm1;
  
implementation
{$R *.xfm}

procedure TForm1.OpenClick(Sender: TObject);
var Desc, Filters: string;
begin
  //OpenDialog1.Filter := desc;
  OpenDialog1.Filter := OpenDialog1.Filter + '|All Files (*.*)|*.*';
  if OpenDialog1.Execute then
    Image1.Picture.LoadFromFile(OpenDialog1.FileName);
end;

procedure TForm1.OpenDialog1FilePreview(Sender: TObject;
  const Filename: string; Canvas: TCanvas; const Rect: TRect;
  Progress: TProgressEvent; var Handled: Boolean);
var TempPic: TPicture;
begin
  Progress := nil;
  TempPic := TPicture.create;
  try
    TempPic.LoadFromFile(Filename);
    Canvas.StretchDraw(Rect,TempPic.Bitmap);
  finally
    TempPic.free;
  end;
  Handled := True;
end;

procedure TForm1.Button1Click(Sender: TObject);
var B1, B2:TBitmap;
begin
B1:=TBitmap.create;
B2:=TBitmap.create;

B1.LoadFromFile(OpenDialog1.FileName);
B1.PixelFormat:=pf32bit;

B2.width:=1200;
B2.height:=1200;
B2.PixelFormat:=pf32bit;
LinearResample(B1, B2);

Image1.Picture.bitmap.assign(B2);
B1.Free;
B2.free;


end;

end.


